/******************************************************************************
 * Copyright (c) 2013 Oracle
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Konstantin Komissarchik - initial implementation and ongoing maintenance
 ******************************************************************************/

package org.eclipse.jst.config;

import org.eclipse.sapphire.Element;
import org.eclipse.sapphire.ElementType;
import org.eclipse.sapphire.Value;
import org.eclipse.sapphire.ValueProperty;
import org.eclipse.sapphire.modeling.annotations.Label;
import org.eclipse.sapphire.modeling.annotations.Required;
import org.eclipse.sapphire.modeling.annotations.Type;

/**
 * @author <a href="mailto:konstantin.komissarchik@oracle.com">Konstantin Komissarchik</a>
 */

public interface EnterpriseJavaModuleConfig extends Element
{
    ElementType TYPE = new ElementType( EnterpriseJavaModuleConfig.class );
    
    // *** EnterpriseJavaPlatformVersion ***
    
    @Type( base = EnterpriseJavaPlatformVersion.class )
    @Label( standard = "Java EE platform version" )
    @Required
    
    ValueProperty PROP_ENTERPRISE_JAVA_PLATFORM_VERSION = new ValueProperty( TYPE, "EnterpriseJavaPlatformVersion" );
    
    Value<EnterpriseJavaPlatformVersion> getEnterpriseJavaPlatformVersion();
    void setEnterpriseJavaPlatformVersion( String value );
    void setEnterpriseJavaPlatformVersion( EnterpriseJavaPlatformVersion value );
    
}
