/******************************************************************************
 * Copyright (c) 2013 Oracle
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Konstantin Komissarchik - initial implementation and ongoing maintenance
 ******************************************************************************/

package org.eclipse.jst.config;

import org.eclipse.sapphire.modeling.annotations.EnumSerialization;
import org.eclipse.sapphire.modeling.annotations.Label;

/**
 * @author <a href="mailto:konstantin.komissarchik@oracle.com">Konstantin Komissarchik</a>
 */

@Label( standard = "Java EE platform version" )

public enum EnterpriseJavaPlatformVersion
{
    @Label( standard = "6" )
    @EnumSerialization( primary = "6" )
    
    VERSION_6( "6" ),
    
    @Label( standard = "5" )
    @EnumSerialization( primary = "5" )
    
    VERSION_5( "5" ),
    
    @Label( standard = "1.4" )
    @EnumSerialization( primary = "1.4" )
    
    VERSION_1_4( "1.4" ),
    
    @Label( standard = "1.3" )
    @EnumSerialization( primary = "1.3" )
    
    VERSION_1_3( "1.3" ),
    
    @Label( standard = "1.2" )
    @EnumSerialization( primary = "1.2" )
    
    VERSION_1_2( "1.2" );
    
    public static EnterpriseJavaPlatformVersion parse( final String string )
    {
        if( string != null )
        {
            for( EnterpriseJavaPlatformVersion version : EnterpriseJavaPlatformVersion.values() )
            {
                if( string.equals( version.toString() ) )
                {
                    return version;
                }
            }
        }
        
        return null;
    }
    
    private final String version;
    
    private EnterpriseJavaPlatformVersion( final String version )
    {
        this.version = version;
    }
    
    @Override
    public String toString()
    {
        return this.version;
    }

}
