/******************************************************************************
 * Copyright (c) 2013 Oracle
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Konstantin Komissarchik - initial implementation and ongoing maintenance
 ******************************************************************************/

package org.eclipse.jst.config.web.internal;

import static org.eclipse.sapphire.modeling.util.MiscUtil.equal;

import org.eclipse.sapphire.modeling.xml.RootElementController;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author <a href="mailto:konstantin.komissarchik@oracle.com">Konstantin Komissarchik</a>
 */

public final class WebAppConfigRootBinding extends RootElementController
{
    private static final String ROOT_ELEMENT_NAME = "web-app";

    @Override
    public void createRootElement()
    {
        final Document document = resource().adapt( Document.class );
        final Element root = document.createElementNS( null, ROOT_ELEMENT_NAME );
        document.insertBefore( root, null );
    }

    @Override
    public boolean checkRootElement()
    {
        final Document document = resource().adapt( Document.class );
        final Element root = document.getDocumentElement();
        
        return equal( root.getLocalName(), ROOT_ELEMENT_NAME );
    }
    
}
